Name:		imp
Version:	4.3.9
Release:	2%{?dist}
Summary:	The Internet Messaging Program: webmail access to IMAP/POP3 accounts

Source0:	ftp://ftp.horde.org/pub/%{name}/%{name}-h3-%{version}.tar.gz
Group:		Applications/Internet
License:	GPLv2
URL:		http://www.horde.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch

BuildRequires:	gettext
Requires:	php >= 4.3.0
Requires:	php-imap >= 4.3.0
Requires:	horde >= 3
Requires:	php-pear(Mail)

%description
IMP is the Internet Messaging Program, one of the Horde applications.
It provides webmail access to IMAP and POP3 accounts.

The Horde Project writes web applications in PHP and releases them under
Open Source licenses.  For more information (including help with IMP)
please visit http://www.horde.org/.

%prep
%setup -q -n %{name}-h3-%{version}

%build

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_datadir}/horde/%{name}
# Copy eveything... except config and docs
cp -a * %{buildroot}%{_datadir}/horde/%{name}
rm -rf %{buildroot}%{_datadir}/horde/%{name}/config/
rm -rf %{buildroot}%{_datadir}/horde/%{name}/docs/
rm %{buildroot}%{_datadir}/horde/%{name}/COPYING
rm %{buildroot}%{_datadir}/horde/%{name}/README*

# Copy locale *.mo files into /usr/share/locale
for lang in %{buildroot}%{_datadir}/horde/%{name}/locale/*; do
	mkdir -p %{buildroot}%{_datadir}/locale/`basename $lang`/LC_MESSAGES
	if [ -f $lang/LC_MESSAGES/*.mo ]; then
		for file in $lang/LC_MESSAGES/*.mo; do
			cp -a $file %{buildroot}%{_datadir}/locale/`basename $lang`/LC_MESSAGES/
		done
	fi
done
%find_lang %{name}

# Put our config files in /etc/horde/imp and make symlinks
install -m 0770 -d %{buildroot}%{_sysconfdir}/horde/%{name}
cp -a config/* %{buildroot}%{_sysconfdir}/horde/%{name}
ln -fs ../../../..%{_sysconfdir}/horde/%{name} %{buildroot}%{_datadir}/horde/%{name}/config

# Create default config files
pushd %{buildroot}%{_sysconfdir}/horde/%{name}
for d in *.dist; do
	d0=`basename $d .dist`
	if [ ! -f "$d0" ]; then
		cp -p $d $d0
	fi
done

# Fix IMP_BASE in prefs.php
%{__sed} --in-place "s#dirname(__FILE__) . '/..#'/usr/share/horde/imp#" prefs.php

popd

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc docs/ COPYING README

# Mark configuration files with %config and use secure permissions
# (note that .dist and .xml files are not user-edited and may change each
#	release, so we don't mark noreplace)
%attr(0770,apache,apache) %config %{_sysconfdir}/horde/%{name}
%attr(0640,apache,apache) %config %{_sysconfdir}/horde/%{name}/*.dist
%attr(0660,apache,apache) %config(noreplace) %{_sysconfdir}/horde/%{name}/*.php
%attr(0660,apache,apache) %config(noreplace) %{_sysconfdir}/horde/%{name}/*.txt
%attr(0660,apache,apache) %config %{_sysconfdir}/horde/%{name}/*.xml

# Include top level with %dir so not all files are sucked in
%{_datadir}/horde/%{name}

%changelog
* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.3.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Dec 21 2010 Nick Bebout <nb@fedoraproject.org> - 4.3.9-1
- Upgrade to 4.3.9

* Tue Oct 19 2010 Nick Bebout <nb@fedoraproject.org> - 4.3.8-1
- Upgrade to 4.3.8

* Sat Jul 24 2010 Nick Bebout <nb@fedoraproject.org> - 4.3.7-1
- Upgrade to 4.3.7

* Mon Mar 29 2010 Nick Bebout <nb@fedoraproject.org> - 4.3.6-1
- Upgrade to 4.3.6

* Mon Mar 29 2010 Nick Bebout <nb@fedoraproject.org> - 4.3.4-3
- Fix IMP_BASE

* Mon Aug 10 2009 Jason L Tibbitts III <tibbs@math.uh.edu> - 4.3.4-2
- Fix Source0: URL.

* Tue Aug 4 2009 Nick Bebout <nb@fedoraproject.org> - 4.3.4-1
- Upgrade to 4.3.4

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed May 28 2008 Nigel Jones <dev@nigelj.com> - 4.2-1
- New Upstream (4.2) & Spec file cleanups

* Mon Jan 14 2008 Brandon Holbrook <fedora at theholbrooks.org> 4.1.6-1
- Upgraded to 4.1.6

* Sat Oct 20 2007 Brandon Holbrook <fedora at theholbrooks.org> 4.1.5-1
- Upgraded to 4.1.5

* Wed Mar 14 2007 Brandon Holbrook <fedora at theholbrooks.org> 4.1.4-1
- Bumped to upstream 4.1.4

* Sun Jan 28 2007 Brandon Holbrook <fedora at theholbrooks.org> 4.1.3-5
- Require php-pear(Mail)

* Fri Dec 29 2006 Brandon Holbrook <fedora at theholbrooks.org> 4.1.3-4
- Fix IMP_BASE defined in prefs.php

* Thu Dec 28 2006 Brandon Holbrook <fedora at theholbrooks.org> 4.1.3-2
- Make config/ symlink relative

* Thu Dec 21 2006 Brandon Holbrook <fedora at theholbrooks.org> 4.1.3-1
- Completely reworked for Fedora
- config files moved to /etc/horde/imp
- use find_lang to pull in translations

* Fri Sep  1 2006 Johnny Hughes <johnny@centos.org> imp-h3-4.1.3.c4
- upgraded to upstream version 4.1.3

* Wed Aug 16 2006 Johnny Hughes <johnny@centos.org> imp-h3-4.1.2.c4
- upgraded to upstream version 4.1.2
- change all config files from %%config to %%config(noreplace)

* Fri Apr 28 2006 Johnny Hughes <johnny@centos.org> imp-h3-4.1.1.c4
- rolled in upstream upgrade to 4.1.1

* Tue Apr 11 2006 Johnny Hughes <johnny@centos.org> imp-h3-4.1.c4
- rolled in upstream release 4.1

* Sat Oct 29 2005 Johnny Hughes <johnny@centos.org> imp-h3-4.0.4-1.centos4
- Initial build for CentOS4
- Changed the html location to be consistent w/CentOS web apps (/usr/share)

* Thu Mar 31 2005 Greg Swallow <gregswallow@skynetonline.ca>
- [4.0.3-rc1-1sme01]
- changed name to imp-h3
- Update for IMP 4 on SME7

* Tue Aug 10 2004 Shad L. Lords <slords@mail.com>
- [3.2.1-3sme01]
- Update specfile - change apache to httpd in requires

* Thu Apr 24 2003 Gordon Rowell <gordon_rowell@mitel.com>
- [3.2.1-2es01]
- Check name of "imp" registry item, rather than "horde" so that we display
  "Welcome to webmail" [gordonr 7694]

* Wed Apr 23 2003 Gordon Rowell <gordon_rowell@mitel.com>
- [3.2.1-2es00]
- Rebuild [gordonr 7694]

* Tue Mar 25 2003 Dan Brown <dan@familybrown.org>
- 3.2.1-2es
- Fixed .spec file to include imp/download/ directory

* Wed Mar 12 2003 Dan Brown <dan@familybrown.org>
- 3.2.1-1es
- Rebuild with IMP 3.2.1

* Tue Feb 25 2003 Dan Brown <dan@familybrown.org>
- 3.2-1es
- Rebuilt with IMP 3.2

* Tue Jun 18 2002 Dan Brown <dan@familybrown.org>
- 3.1-2es
- Added Obsoletes: tag for 3.1-01rc3; hopefully this will
  resolve dependency problems.

* Sun Jun 16 2002 Dan Brown <dan@familybrown.org>
- 3.1-1es
- rebuilt for 3.1 final

* Sun Jun  2 2002 Dan Brown <dan@familybrown.org>
- 3.1rc3 release 1es
- rebuilt for 3.1rc3

* Fri Mar  8 2002 Dan Brown <dan@familybrown.org> 3.0-3es
- changed Apache dependency to >= 1.3.19

* Sun Feb 10 2002 Dan Brown <dan@familybrown.org>
- 3.0 release 2es
- removed httpd restart--it's giving errors on SME 5.1.2, and
  it's handled by the e-smith-horde RPM

* Sat Feb 09 2002 Dan Brown <dan@familybrown.org>
- 3.0 release 1es
- changed apache user, group, and content directory

* Wed Jan 02 2002 Brent J. Nordquist <bjn@horde.org>
- 3.0 release 1

* Mon Dec 24 2001 Brent J. Nordquist <bjn@horde.org>
- 3.0-RC4 release 1

* Sat Dec 15 2001 Brent J. Nordquist <bjn@horde.org>
- rewritten for IMP 3.0

* Wed Nov 14 2001 Brent J. Nordquist <bjn@horde.org>
- 2.2.7 release 1rh7

* Sat Jul 21 2001 Brent J. Nordquist <bjn@horde.org>
- 2.2.6 release 1rh7

* Tue Feb 06 2001 Brent J. Nordquist <bjn@horde.org>
- 2.2.4 release 1rh7
